<html>
		<head>
			<title>SE Code of Ethics</title>
		</head>
		<body>
			<p><em>Science and Engineering Ethics (2001) 7, 231-238 </em></p>

			<hr>

			<h1>Software Engineering Code of Ethics and Professional Practice</h1>

			<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics
			and Professional Practices</h3><hr>

			<p><strong>Keywords:</strong> code of ethics, professional
			responsibility, software engineering</p>

			<h3>PREAMBLE</h3>

			<p>The short version of the code summarizes aspirations at a high
			level of abstraction. The clauses that are included in the full 
			version gives examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspiration can become high-sounding but empty, together the aspirations and the details form a cohesive code</p>

			<p>Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with  their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight principles</p>

			<h3>Principles</h3>
			<ol>
				<li>Public. Software engineers shall act consistently with the publick interest</li>
				<li>Client and employer. Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest</li>
				<li>Product. Software engineers shall ensure that their products and related modifications meet the highest professional standard possible</li>
				<li>Judgement. Software engineers shall maintain integrity and independence in their professional judgement</li>
				<li>Management. Software engineers managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance</li>
				<li>Profession. Software engineers shall advance the integrity and reputation of the profession consistent with the public interest</li>
				<li>Colleagues. Software engineers shall be fair to and supportive of their colleagues</li>
				<li>Self. Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession</li>
			</ol>
		</body>
</html>	